Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network44.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
44.0.0.0
Broadcast address
47.255.255.255
First usable
44.0.0.1
Last usable
47.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 2C000000 · Integer 738197504 to 805306367
Reverse DNS zones
44.in-addr.arpa
45.in-addr.arpa
46.in-addr.arpa
47.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101100.00000000.00000000.0000000044.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network00101100.00000000.00000000.0000000044.0.0.0
Broadcast00101111.11111111.11111111.1111111147.255.255.255
Split into smaller subnets/13

44.0.0.0/6 makes 128 subnets of /13.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
144.0.0.0/1344.0.0.1 to 44.7.255.25444.7.255.255524,286
244.8.0.0/1344.8.0.1 to 44.15.255.25444.15.255.255524,286
344.16.0.0/1344.16.0.1 to 44.23.255.25444.23.255.255524,286
444.24.0.0/1344.24.0.1 to 44.31.255.25444.31.255.255524,286
544.32.0.0/1344.32.0.1 to 44.39.255.25444.39.255.255524,286
644.40.0.0/1344.40.0.1 to 44.47.255.25444.47.255.255524,286
744.48.0.0/1344.48.0.1 to 44.55.255.25444.55.255.255524,286
844.56.0.0/1344.56.0.1 to 44.63.255.25444.63.255.255524,286
944.64.0.0/1344.64.0.1 to 44.71.255.25444.71.255.255524,286
1044.72.0.0/1344.72.0.1 to 44.79.255.25444.79.255.255524,286
1144.80.0.0/1344.80.0.1 to 44.87.255.25444.87.255.255524,286
1244.88.0.0/1344.88.0.1 to 44.95.255.25444.95.255.255524,286
1344.96.0.0/1344.96.0.1 to 44.103.255.25444.103.255.255524,286
1444.104.0.0/1344.104.0.1 to 44.111.255.25444.111.255.255524,286
1544.112.0.0/1344.112.0.1 to 44.119.255.25444.119.255.255524,286
1644.120.0.0/1344.120.0.1 to 44.127.255.25444.127.255.255524,286
1744.128.0.0/1344.128.0.1 to 44.135.255.25444.135.255.255524,286
1844.136.0.0/1344.136.0.1 to 44.143.255.25444.143.255.255524,286
1944.144.0.0/1344.144.0.1 to 44.151.255.25444.151.255.255524,286
2044.152.0.0/1344.152.0.1 to 44.159.255.25444.159.255.255524,286
2144.160.0.0/1344.160.0.1 to 44.167.255.25444.167.255.255524,286
2244.168.0.0/1344.168.0.1 to 44.175.255.25444.175.255.255524,286
2344.176.0.0/1344.176.0.1 to 44.183.255.25444.183.255.255524,286
2444.184.0.0/1344.184.0.1 to 44.191.255.25444.191.255.255524,286
2544.192.0.0/1344.192.0.1 to 44.199.255.25444.199.255.255524,286
2644.200.0.0/1344.200.0.1 to 44.207.255.25444.207.255.255524,286
2744.208.0.0/1344.208.0.1 to 44.215.255.25444.215.255.255524,286
2844.216.0.0/1344.216.0.1 to 44.223.255.25444.223.255.255524,286
2944.224.0.0/1344.224.0.1 to 44.231.255.25444.231.255.255524,286
3044.232.0.0/1344.232.0.1 to 44.239.255.25444.239.255.255524,286
3144.240.0.0/1344.240.0.1 to 44.247.255.25444.247.255.255524,286
3244.248.0.0/1344.248.0.1 to 44.255.255.25444.255.255.255524,286
3345.0.0.0/1345.0.0.1 to 45.7.255.25445.7.255.255524,286
3445.8.0.0/1345.8.0.1 to 45.15.255.25445.15.255.255524,286
3545.16.0.0/1345.16.0.1 to 45.23.255.25445.23.255.255524,286
3645.24.0.0/1345.24.0.1 to 45.31.255.25445.31.255.255524,286
3745.32.0.0/1345.32.0.1 to 45.39.255.25445.39.255.255524,286
3845.40.0.0/1345.40.0.1 to 45.47.255.25445.47.255.255524,286
3945.48.0.0/1345.48.0.1 to 45.55.255.25445.55.255.255524,286
4045.56.0.0/1345.56.0.1 to 45.63.255.25445.63.255.255524,286
4145.64.0.0/1345.64.0.1 to 45.71.255.25445.71.255.255524,286
4245.72.0.0/1345.72.0.1 to 45.79.255.25445.79.255.255524,286
4345.80.0.0/1345.80.0.1 to 45.87.255.25445.87.255.255524,286
4445.88.0.0/1345.88.0.1 to 45.95.255.25445.95.255.255524,286
4545.96.0.0/1345.96.0.1 to 45.103.255.25445.103.255.255524,286
4645.104.0.0/1345.104.0.1 to 45.111.255.25445.111.255.255524,286
4745.112.0.0/1345.112.0.1 to 45.119.255.25445.119.255.255524,286
4845.120.0.0/1345.120.0.1 to 45.127.255.25445.127.255.255524,286
4945.128.0.0/1345.128.0.1 to 45.135.255.25445.135.255.255524,286
5045.136.0.0/1345.136.0.1 to 45.143.255.25445.143.255.255524,286
5145.144.0.0/1345.144.0.1 to 45.151.255.25445.151.255.255524,286
5245.152.0.0/1345.152.0.1 to 45.159.255.25445.159.255.255524,286
5345.160.0.0/1345.160.0.1 to 45.167.255.25445.167.255.255524,286
5445.168.0.0/1345.168.0.1 to 45.175.255.25445.175.255.255524,286
5545.176.0.0/1345.176.0.1 to 45.183.255.25445.183.255.255524,286
5645.184.0.0/1345.184.0.1 to 45.191.255.25445.191.255.255524,286
5745.192.0.0/1345.192.0.1 to 45.199.255.25445.199.255.255524,286
5845.200.0.0/1345.200.0.1 to 45.207.255.25445.207.255.255524,286
5945.208.0.0/1345.208.0.1 to 45.215.255.25445.215.255.255524,286
6045.216.0.0/1345.216.0.1 to 45.223.255.25445.223.255.255524,286
6145.224.0.0/1345.224.0.1 to 45.231.255.25445.231.255.255524,286
6245.232.0.0/1345.232.0.1 to 45.239.255.25445.239.255.255524,286
6345.240.0.0/1345.240.0.1 to 45.247.255.25445.247.255.255524,286
6445.248.0.0/1345.248.0.1 to 45.255.255.25445.255.255.255524,286
6546.0.0.0/1346.0.0.1 to 46.7.255.25446.7.255.255524,286
6646.8.0.0/1346.8.0.1 to 46.15.255.25446.15.255.255524,286
6746.16.0.0/1346.16.0.1 to 46.23.255.25446.23.255.255524,286
6846.24.0.0/1346.24.0.1 to 46.31.255.25446.31.255.255524,286
6946.32.0.0/1346.32.0.1 to 46.39.255.25446.39.255.255524,286
7046.40.0.0/1346.40.0.1 to 46.47.255.25446.47.255.255524,286
7146.48.0.0/1346.48.0.1 to 46.55.255.25446.55.255.255524,286
7246.56.0.0/1346.56.0.1 to 46.63.255.25446.63.255.255524,286
7346.64.0.0/1346.64.0.1 to 46.71.255.25446.71.255.255524,286
7446.72.0.0/1346.72.0.1 to 46.79.255.25446.79.255.255524,286
7546.80.0.0/1346.80.0.1 to 46.87.255.25446.87.255.255524,286
7646.88.0.0/1346.88.0.1 to 46.95.255.25446.95.255.255524,286
7746.96.0.0/1346.96.0.1 to 46.103.255.25446.103.255.255524,286
7846.104.0.0/1346.104.0.1 to 46.111.255.25446.111.255.255524,286
7946.112.0.0/1346.112.0.1 to 46.119.255.25446.119.255.255524,286
8046.120.0.0/1346.120.0.1 to 46.127.255.25446.127.255.255524,286
8146.128.0.0/1346.128.0.1 to 46.135.255.25446.135.255.255524,286
8246.136.0.0/1346.136.0.1 to 46.143.255.25446.143.255.255524,286
8346.144.0.0/1346.144.0.1 to 46.151.255.25446.151.255.255524,286
8446.152.0.0/1346.152.0.1 to 46.159.255.25446.159.255.255524,286
8546.160.0.0/1346.160.0.1 to 46.167.255.25446.167.255.255524,286
8646.168.0.0/1346.168.0.1 to 46.175.255.25446.175.255.255524,286
8746.176.0.0/1346.176.0.1 to 46.183.255.25446.183.255.255524,286
8846.184.0.0/1346.184.0.1 to 46.191.255.25446.191.255.255524,286
8946.192.0.0/1346.192.0.1 to 46.199.255.25446.199.255.255524,286
9046.200.0.0/1346.200.0.1 to 46.207.255.25446.207.255.255524,286
9146.208.0.0/1346.208.0.1 to 46.215.255.25446.215.255.255524,286
9246.216.0.0/1346.216.0.1 to 46.223.255.25446.223.255.255524,286
9346.224.0.0/1346.224.0.1 to 46.231.255.25446.231.255.255524,286
9446.232.0.0/1346.232.0.1 to 46.239.255.25446.239.255.255524,286
9546.240.0.0/1346.240.0.1 to 46.247.255.25446.247.255.255524,286
9646.248.0.0/1346.248.0.1 to 46.255.255.25446.255.255.255524,286
9747.0.0.0/1347.0.0.1 to 47.7.255.25447.7.255.255524,286
9847.8.0.0/1347.8.0.1 to 47.15.255.25447.15.255.255524,286
9947.16.0.0/1347.16.0.1 to 47.23.255.25447.23.255.255524,286
10047.24.0.0/1347.24.0.1 to 47.31.255.25447.31.255.255524,286
10147.32.0.0/1347.32.0.1 to 47.39.255.25447.39.255.255524,286
10247.40.0.0/1347.40.0.1 to 47.47.255.25447.47.255.255524,286
10347.48.0.0/1347.48.0.1 to 47.55.255.25447.55.255.255524,286
10447.56.0.0/1347.56.0.1 to 47.63.255.25447.63.255.255524,286
10547.64.0.0/1347.64.0.1 to 47.71.255.25447.71.255.255524,286
10647.72.0.0/1347.72.0.1 to 47.79.255.25447.79.255.255524,286
10747.80.0.0/1347.80.0.1 to 47.87.255.25447.87.255.255524,286
10847.88.0.0/1347.88.0.1 to 47.95.255.25447.95.255.255524,286
10947.96.0.0/1347.96.0.1 to 47.103.255.25447.103.255.255524,286
11047.104.0.0/1347.104.0.1 to 47.111.255.25447.111.255.255524,286
11147.112.0.0/1347.112.0.1 to 47.119.255.25447.119.255.255524,286
11247.120.0.0/1347.120.0.1 to 47.127.255.25447.127.255.255524,286
11347.128.0.0/1347.128.0.1 to 47.135.255.25447.135.255.255524,286
11447.136.0.0/1347.136.0.1 to 47.143.255.25447.143.255.255524,286
11547.144.0.0/1347.144.0.1 to 47.151.255.25447.151.255.255524,286
11647.152.0.0/1347.152.0.1 to 47.159.255.25447.159.255.255524,286
11747.160.0.0/1347.160.0.1 to 47.167.255.25447.167.255.255524,286
11847.168.0.0/1347.168.0.1 to 47.175.255.25447.175.255.255524,286
11947.176.0.0/1347.176.0.1 to 47.183.255.25447.183.255.255524,286
12047.184.0.0/1347.184.0.1 to 47.191.255.25447.191.255.255524,286
12147.192.0.0/1347.192.0.1 to 47.199.255.25447.199.255.255524,286
12247.200.0.0/1347.200.0.1 to 47.207.255.25447.207.255.255524,286
12347.208.0.0/1347.208.0.1 to 47.215.255.25447.215.255.255524,286
12447.216.0.0/1347.216.0.1 to 47.223.255.25447.223.255.255524,286
12547.224.0.0/1347.224.0.1 to 47.231.255.25447.231.255.255524,286
12647.232.0.0/1347.232.0.1 to 47.239.255.25447.239.255.255524,286
12747.240.0.0/1347.240.0.1 to 47.247.255.25447.247.255.255524,286
12847.248.0.0/1347.248.0.1 to 47.255.255.25447.255.255.255524,286

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses